Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.iconimages
Class PanelIconTriangleBasic

    java.lang.Object
      org.richfaces.resource.AbstractJava2DUserResource
          org.richfaces.renderkit.html.iconimages.PanelIconBasic
              org.richfaces.renderkit.html.iconimages.PanelIconTriangleBasic

All Implemented Interfaces:
  org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource

Direct Known Subclasses:
  PanelIconTriangle, PanelIconTriangleDown, PanelIconTriangleLeft, PanelIconTriangleUp

    public abstract class PanelIconTriangleBasic

extends PanelIconBasic

Author:
  Anton Belevich

Constructor Summary
`PanelIconTriangleBasic()`

Method Summary
`protected void` | `paintImage(java.awt.Graphics2D g2d, java.awt.Color color)`

Methods inherited from class org.richfaces.renderkit.html.iconimages.PanelIconBasic
`initialize, isTransient, paint, readState, setDisabled, writeState`

Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource
`getDimension, getImageType, getLastModified, getResponseHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PanelIconTriangleBasic

    public PanelIconTriangleBasic()

Method Detail

### paintImage

    protected void paintImage(java.awt.Graphics2D g2d,
                              java.awt.Color color)

  Specified by:
    `paintImage` in class `PanelIconBasic`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.